<?php

namespace ReloadifyScoped\Doctrine\DBAL\Schema\Visitor;

use ReloadifyScoped\Doctrine\DBAL\Schema\Column;
use ReloadifyScoped\Doctrine\DBAL\Schema\ForeignKeyConstraint;
use ReloadifyScoped\Doctrine\DBAL\Schema\Index;
use ReloadifyScoped\Doctrine\DBAL\Schema\Schema;
use ReloadifyScoped\Doctrine\DBAL\Schema\SchemaException;
use ReloadifyScoped\Doctrine\DBAL\Schema\Sequence;
use ReloadifyScoped\Doctrine\DBAL\Schema\Table;
/**
 * Schema Visitor used for Validation or Generation purposes.
 *
 * @deprecated
 */
interface Visitor
{
    /**
     * @return void
     *
     * @throws SchemaException
     */
    public function acceptSchema(Schema $schema);
    /** @return void */
    public function acceptTable(Table $table);
    /** @return void */
    public function acceptColumn(Table $table, Column $column);
    /**
     * @return void
     *
     * @throws SchemaException
     */
    public function acceptForeignKey(Table $localTable, ForeignKeyConstraint $fkConstraint);
    /** @return void */
    public function acceptIndex(Table $table, Index $index);
    /** @return void */
    public function acceptSequence(Sequence $sequence);
}
